/**
 * @class kAITargetInfo
 * @brief Info about the AI's target be it for attacking or movement
 */
 
class kAITargetInfo
{
public:

	/**
	* @brief Clears all data in this instance to default values
	*/
	void Reset();

	/**
	* @brief The target actor
	*/
	kActor@ Target();

	/**
	* @brief Set the target actor
	*/
	void SetTarget(kActor@);

	/**
	* @brief the target type
	*/
	EnumEnemyAITargetTypes m_eType;

	/**
	* @brief distance to the target
	*/
	float m_fDist;

	/**
	* @brief distance to target ignoring z coordinate
	*/
	float m_fDistXY;
	
	kVec3 m_vDeltaTargetPos;
	kVec3 m_vTargetPos;
	float m_fDeltaAngle;
};
