/**
 * @class kActorIterator
 * @brief The way to iterate through all actors in the map
 * @code{.cpp}
 *	kActorIterator cIterator;
 *	kActor@ pActor;
 *	while(!((@pActor = cIterator.GetNext()) is null))
 *	{
 *		//do something with pActor
 *	}
 * @endcode
 */
class kActorIterator
{
public:

	/**
	 * @brief Returns the next actor in the iterator
	 */
	kActor@ GetNext();
};
